Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ifaddrs Struct Reference

`#include <win32.h>`

## Data Fields
struct ifaddrs * | ifa_next
char * | ifa_name
u_int | ifa_flags
struct sockaddr * | ifa_addr
struct sockaddr * | ifa_netmask
struct sockaddr * | ifa_broadaddr
struct sockaddr * | ifa_dstaddr
void * | ifa_data

## Detailed Description

Definition at line 246 of file win32.h.

## Field Documentation

struct sockaddr* ifaddrs::ifa_addr

Definition at line 250 of file win32.h.

Referenced by freeifaddrs(), and getifaddrs().

struct sockaddr* ifaddrs::ifa_broadaddr

Definition at line 252 of file win32.h.

void* ifaddrs::ifa_data

Definition at line 254 of file win32.h.

struct sockaddr* ifaddrs::ifa_dstaddr

Definition at line 253 of file win32.h.

u_int ifaddrs::ifa_flags

Definition at line 249 of file win32.h.

Referenced by getifaddrs().

char* ifaddrs::ifa_name

Definition at line 248 of file win32.h.

Referenced by freeifaddrs(), and getifaddrs().

struct sockaddr* ifaddrs::ifa_netmask

Definition at line 251 of file win32.h.

struct ifaddrs* ifaddrs::ifa_next

Definition at line 247 of file win32.h.

Referenced by freeifaddrs(), and getifaddrs().

The documentation for this struct was generated from the following file:

- include/ruby/win32.h